Quantcast

Re: ka-Map-users Digest, Vol 65, Issue 3

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: ka-Map-users Digest, Vol 65, Issue 3

Antonio García
I would load a wms layer in kamap:

  #--------------------------------------------------
  LAYER
    NAME "WMSIDENA"
    CONNECTION "http://idena.navarra.es/ogc/wms.aspx?"
    CONNECTIONTYPE WMS
    TYPE RASTER
    STATUS default
    GROUP Ortofoto_2010
    # MAXSCALE 10000
    # MINSCALE 501

    PROJECTION
      "init=epsg:23030" # ED(50) UTM ZONA 30
    END

    METADATA
      "wms_title" "Ortofotografia 2010 Escala 5000"
      "wms_srs" "EPSG:23030"
      "wms_name" "ortofoto_5000_2010"
      "wms_server_version" "1.1.1"
      "wms_formatlist" "image/gif,image/png,image/jpeg,image/wbmp"
      "wms_format" "image/png"
      #"imageformat" "gif"
    END
  END
  #--------------------------------------------------

The sistem is Ok.

Kamap works with WMS layers. Any servers don't work in kamap because the server has got an exception because kamap calls in the config.php 6 x 6 tiles and the size of this tiles are 256 x 256 pixels.

kamap request 6 x 256 = 1536 and the maxsize  permited in any servers are 1500 x 1500 px.

Then if we change the config.php KAMAP is OK.

I change only the config file, the $metaWidth and $metaHeight  value:

$metaWidth = 4;
$metaHeight = 4;

And it's perfect.

THANKS FOR ALL.
>> Daniel
>> --
>> Daniel Morissette
>> http://www.mapgears.com/
>>Please edit your ka-Map's include/config.php file and set $metaWidth and
$metaHeight to 4 ... this will result in metatiles of 4x4 tiles i.e. 4x4
x 256x256 pixels = 1024 x 1024 ... and this may make the server happier.

Saludos,
-----------
Antonio García Benlloch

Correo:
[hidden email]
[hidden email]

Web:
http://personales.alumno.upv.es/~angarben

Antes de imprimir este mensaje, asegúrese de que es necesario. Proteger el medio ambiente está en nuestra mano.

Este mensaje y sus archivos adjuntos son confidenciales. No está permitida su reproducción o distribución sin la autorización expresa de Antonio García. Si ha recibido este mensaje por error, por favor bórrelo e informe a [hidden email].





> From: [hidden email]
> Subject: ka-Map-users Digest, Vol 65, Issue 3
> To: [hidden email]
> Date: Tue, 23 Nov 2010 17:10:03 -0500
>
> Send ka-Map-users mailing list submissions to
> [hidden email]
>
> To subscribe or unsubscribe via the World Wide Web, visit
> http://lists.maptools.org/mailman/listinfo/ka-map-users
> or, via email, send a message with subject or body 'help' to
> [hidden email]
>
> You can reach the person managing the list at
> [hidden email]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of ka-Map-users digest..."
>
>
> Today's Topics:
>
> 1. Re: I want a layer with WMS 1.3.0 in KAMAP (Daniel Morissette)
> 2. Re: ka-Map-users Digest, Vol 65, Issue 2 (Antonio Garc?a)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Tue, 23 Nov 2010 16:54:13 -0500
> From: Daniel Morissette <[hidden email]>
> Subject: Re: [ka-Map-users] I want a layer with WMS 1.3.0 in KAMAP
> To: Antonio Garc?a <[hidden email]>
> Cc: [hidden email]
> Message-ID: <[hidden email]>
> Content-Type: text/plain; charset=ISO-8859-1
>
> Antonio Garc?a wrote:
> > Hello, I have got a big problem.
> >
> > I want insert a wms service in my kamap project.
> >
> > The problem is:
> >
> > I want insert the wms service: http://idena.navarra.es/ogc/wms.aspx
> > the service version is 1.3.0. but kamap only admit 1.0.0 to 1.1.1.
> >
>
> It seems that the server supports WMS 1.1.1 as well, see:
>
> http://idena.navarra.es/ogc/wms.aspx?service=wms&version=1.1.1&request=GetCapabilities
>
> Daniel
> --
> Daniel Morissette
> http://www.mapgears.com/

_______________________________________________
ka-Map-users mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/ka-map-users
Loading...